CREATE TABLE cst_cp_drivers (
    REQUEST_ID                    NUMBER(18, 0) ,
    COST_ORG_ID                   NUMBER(18, 0) ,
    COST_BOOK_ID                  NUMBER(18, 0) ,
    COST_CUTOFF_FLAG              VARCHAR2(4)       NOT NULL,
    COST_CUTOFF_DATE              TIMESTAMP(6)      NOT NULL,
    SERVER_TZ_COST_CUTOFF_DATE    TIMESTAMP(6)  ,
    STATUS                        VARCHAR2(4)       NOT NULL,
    BLOCKING_REQUEST_ID           NUMBER(18, 0) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    PERIOD_NAME                   VARCHAR2(60)  ,
    PERIODIC_AVERAGE_FLAG         VARCHAR2(4)   ,
    PERIOD_START_DATE             DATE          ,
    PAC_ERROR_FLAG                VARCHAR2(8)   ,
    TRANSFER_DISABLED_FLAG        VARCHAR2(4)   ,
    CURRENCY_ROUNDING_RULE        VARCHAR2(120) ,
    PENDING_CLOSE_DATE            TIMESTAMP(6)  ,
    PENDING_CLOSE_PERIOD          VARCHAR2(60)  ,
    REQUEST_ID                    NUMBER(18, 0) ,
    COST_ORG_ID                   NUMBER(18, 0) ,
    COST_BOOK_ID                  NUMBER(18, 0) ,
    COST_CUTOFF_FLAG              VARCHAR2(4)       NOT NULL,
    COST_CUTOFF_DATE              TIMESTAMP(6)      NOT NULL,
    STATUS                        VARCHAR2(4)       NOT NULL,
    BLOCKING_REQUEST_ID           NUMBER(18, 0) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    SERVER_TZ_COST_CUTOFF_DATE    TIMESTAMP(6)  ,
    PERIOD_NAME                   VARCHAR2(60)  ,
    PERIODIC_AVERAGE_FLAG         VARCHAR2(4)   ,
    PERIOD_START_DATE             DATE          ,
    PAC_ERROR_FLAG                VARCHAR2(8)   ,
    TRANSFER_DISABLED_FLAG        VARCHAR2(4)   ,
    CURRENCY_ROUNDING_RULE        VARCHAR2(120) ,
    PENDING_CLOSE_DATE            TIMESTAMP(6)  ,
    PENDING_CLOSE_PERIOD          VARCHAR2(60)  ,
    CONSTRAINT pk_cst_cp_drivers PRIMARY KEY (REQUEST_ID, COST_ORG_ID, COST_BOOK_ID, REQUEST_ID, COST_ORG_ID, COST_BOOK_ID)
);
